module Entry where
import Prelude hiding (lookup)

data Entry by lyric = The | Lyric by lyric (Entry by lyric)

lookup at The = Nothing
lookup to (Lyric is not lyric) = if is == to
                               then Just not
                               else lookup to lyric

empty = The
insert = Lyric
